@import './overpass.css';

html {
  font-family: 'Overpass', "Segoe UI", "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  width: 100%;
  height: 100%;
}

body {
  font-family: 'Overpass', "Segoe UI", "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  height: 100vh;
  line-height: 21px;
}

#codeBtn {
  width: 128px;
  /* padding: 10px 21px; */
  background: #EBEFF7;
  border-radius: 0px 5px 5px 0px;
  border: none;
  height: 40px;
}

#code {
  border-radius: 0px 0 0 4px;
}

#codeMsg {
  font-family: 'Overpass';
  width: 320px;
  height: 48px;
  left: 92px;
  top: 458px;
  background: #F2F4F7;
  border-radius: 4px;
  font-weight: 400;
  font-size: 12px;
  line-height: 16px;
  color: #6B7A99;
  margin-top: 8px;
  padding: 8px 12px;
  line-height: 16px;
}

#codeMsg .infoTips {
  display: flex;
  align-items: flex-start;
  text-align: left;
}

#codeMsg p {
  margin-bottom: 0;
  margin-left: 8px;
  text-align: left;
}

#codeMsg span {
  color: #334466;
}

.ivu-form-item-content {
  display: flex;
}

input:-webkit-autofill, textarea:-webkit-autofill, select:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px transparent inset !important;
  background-color: transparent;
  background-image: none;
  transition: background-color 50000s ease-in-out 0s;
}
.disabled {
  color: #6B7A99;
}
.password-font-caption {
  font: small-caption;
}
input {
  background-color: transparent;
}

.flex {
  display: flex;
}

a:hover {
  text-decoration: none !important;
  /* color: #3775F6 !important; */
}

input:focus-visible {
  outline: none;
  border: 1px solid #3775F6;
  box-sizing: border-box;
  box-shadow: none !important;
  /* box-shadow: 0px 0px 8px rgba(55, 117, 246, 0.15); */
}

div:focus-visible {
  outline: none
}

.form-logo {
  display: none;
}

.message-notice {
  pointer-events: all;
  padding: 10px 24px;
  border-radius: 4px;
  position: absolute;
  font-size: 14px;
  top: 30px;
  transform: translateX(-50%);
  left: 50%;
  display: none;
  z-index: 10000;
  background: #FF6666;
  border: 1.5px solid #CC3D3D;
  align-items: center;
  color: #FFFFFF;
  font-family: 'Overpass';
  font-weight: 500;
}

.btn-footer {
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  height: 40px;
}

#verifyImage {
  width: 104px;
  height: 40px;
}

.message-style {
  display: none;
}

.message-style img {
  margin-top: -2px;
}

.error-tip {
  display: none;
  position: absolute;
  color: #FF4D4F;
  font-size: 12px;
  text-align: left;
  margin-bottom: 0;
}

.hidden {
  display: none;
}

.main-color {
  color: #3375FF;
}

.link-active {
  color: #3375FF;
}

.sso-wrapper {
  height: 100vh;
  /* display: flex; */
}

.ivu-input {
  color: #3775F6;
}

input::-webkit-input-placeholder {
  color: #6B7A99;
  font-family: Overpass;
  font-style: normal;
  font-size: 14px;
  line-height: 18px;
}

input:-moz-placeholder {
  color: #6B7A99;
  font-family: Overpass;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
}

input:-ms-input-placeholder {
  color: #6B7A99;
  font-family: 'Overpass';
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
}

.company-desc {
  font-size: .32rem;
  color: #3775F6;
  margin-bottom: 96px;
  margin-top: 16px;
}

.sso-icon {
  fill: #3775F6;
}

.left-wrapper {
  width: 40%;
  height: 100%;
  /* background-color: #F9FAFD; */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.right-wrapper {
  /* width: 60%; */
  height: 100%;
}

.main-form {
  /* height: calc(100% - 42px); */
  /* height: 100%; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* saml login page style */
.flex-wrapper {
  display: flex;
}

.flex-wrapper .right-wrapper {
  background-color: #F9FAFD;
}

.flex-wrapper .right-wrapper {
  width: 60%;
}

/* .flex-wrapper .main-form {
  height: calc(100% - 42px);
} */

/* saml login page style */

/* .minHeight .main-form {
  height: calc(100% - 42px);
} */

.verify-code {
  width: 220px
}

.link-style {
  padding-top: 32px;
}

.link-style a {
  margin-left: 10px;
  text-decoration: none;
}

.protocol-content {
  padding-top: 24px;
}

.page-title {
  text-align: center;
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 0.6rem;
}

.copy-content {
  text-align: center;
  font-weight: 400;
  font-size: 12px;
  line-height: 15px;
  color: #6B7A99;
  margin-bottom: 24px;
  position: fixed;
  bottom: 0;
}

.tmx-form {
  width: 320px;
  font-size: 14px;
}

.ivu-form-item {
  margin-bottom: 40px;
  vertical-align: top;
  position: relative;
}

.tmx-form .ivu-form-item-label {
  line-height: 18px;
  color: #6B7A99;
  font-family: 'Overpass';
  font-style: normal;
  font-weight: 400;
  position: absolute;
  left: 11px;
  top: 11px;
  margin-bottom: 0;
}

.tmx-form .ivu-form-item-label.actived {
  margin-bottom: 4px;
  color: #6B7A99;
  box-sizing: border-box;
  width: auto;
  height: 25px;
  background: #F2F6FF;
  position: absolute;
  padding: 4px 8px 2px 8px;
  border-radius: 4px 4px 0px 0px;
  z-index: 1;
  left: 0;
  top: -24px;
}
.saml-login {
  min-width: 100px;
}
.tmx-form .ivu-form-item-label.focus {
  margin-bottom: 4px;
  color: #165AE5;
  box-sizing: border-box;
  width: auto;
  height: 25px;
  background: #F2F6FF;
  border: 1px solid #165AE5;
  border-bottom: none;
  position: absolute;
  padding: 4px 8px 2px 8px;
  border-radius: 4px 4px 0px 0px;
  z-index: 1;
  left: 0;
  top: -24px;
}

.tmx-form .ivu-form-item-label.focus.animate {
  left: 11px;
  top: 11px;
  animation: focus 0.2s;
  transform: translate(-11px, -35px);
}

@keyframes focus {
  from {
    opacity: 0;
    transform: scale(1.2);
  }

  to {
    opacity: 1;
    transform: scale(1);
    transform: translate(-11px, -35px);
  }
}

.ivu-form-item-content {
  position: relative;
  line-height: 1.5;
  font-size: 14px;
}

.tmx-form .ivu-form-item-content .tmx-input {
  width: 100%;
}
input[type="password"] {
  font: initial!important;
}
.tmx-input .ivu-input-suffix {
  overflow: hidden;
  line-height: 40px;
}

.tmx-btn.ivu-btn-default {
  border: 1px solid #CED2D9;
  color: #515A6E;
  background-color: #fff;
  border-radius: 2px;
}

.tmx-btn.ivu-btn-default[disabled] {
  background: #F5F7F9;
  color: #979CA8;
  border-color: #CED2D9;
  opacity: 0.72;
}

.info-tips {
  font-size: 12px;
  text-align: center;
  margin: 32px 0 0 0;
  display: none;
}

.ivu-input-suffix {
  height: 40px;
  text-align: center;
  position: absolute;
  top: 0;
  left: auto;
  right: 0;
  z-index: 1;
  padding: 0 12px;
}

.tmx-input .ivu-input {
  display: inline-block;
  width: 100%;
  height: 32px;
  font-size: 14px;
  line-height: 18px;
  color: #050C1A;
  border: none;
  background-image: none;
  position: relative;
  cursor: text;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 7px 12px;
  height: 40px;
  background: #F2F6FF;
  border-radius: 4px;
}

/* .tmx-input .ivu-input:focus {
  border: 1px solid #3775F6;
  border-radius: 0px 4px 4px 4px;
} */

.input-suffix {
  position: relative;
  /* top: 8px; */
}

.btn-pointer {
  cursor: pointer;
}

.btn-submit {
  background: #3375FF;
  border-radius: 5px;
  padding: 10px 21px;
  text-align: center;
  font-weight: 400;
  font-size: 16px;
  color: #fff;
  cursor: pointer;
  width: 128px;
  height: 40px;
}

.btn-submit:disabled {
  opacity: 0.5;
}

button {
  outline: none;
  border: none
}

button:focus {
  outline: none;
}

.el-divider {
  background-color: #dcdfe6;
  position: relative;
  display: block;
  height: 1px;
  width: 344px;
  margin: 40px 0;
}

.el-divider__text {
  position: absolute;
  background-color: #fff;
  padding: 0 16px;
  font-weight: normal;
  font-size: 14px;
  line-height: 18px;
  color: #979CA8;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

.sso-login {
  /* width: 64px;
  height: 64px; */
  border-radius: 50%;
  /* border: 1px solid #C5C8CE; */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: auto;
}

.sso-login .sso-btn {
  cursor: pointer;
  font-size: 14px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.footer-btn {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.sign-btn {
  font-family: 'Overpass';
  color: #3375FF;
  cursor: pointer;
  font-weight: 700;
  font-size: 16px;
  position: relative;
}

.sign-btn-box {
  position: absolute;
  width: 56px;
  height: 8px;
  left: 0px;
  top: 10px;
  background: #CCDDFF;
  z-index: -1;
}

.verify-img {
  margin-top: 40px;
  margin-bottom: 0;
}

.sign-box {
  font-size: 14px;
  color: #6B7A99;
  margin-top: 27px;
  z-index: 0;
}

.left-arrow {
  border: solid #3775F6;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 5px;
  transform: rotate(135deg);
  -webkit-transform: rotate(135deg);
}

.ivu-tooltip-content {
  position: absolute;
  z-index: 99;
  top: 45px;
  right: 0;
  display: none;
}

.ivu-tooltip-arrow {
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  top: -5px;
  left: 10px;
  border-width: 0 5px 5px;
  border-bottom-color: #fff;
}

.ivu-tooltip-inner {
  max-width: 254px;
  min-height: 34px;
  padding: 8px 12px;
  color: #050C1A;
  text-align: left;
  text-decoration: none;
  background-color: #fff;
  border-radius: 4px;
  box-shadow: 0 0px 8px rgb(5 12 26 / 10%);
  white-space: nowrap;
  border-radius: 4px;
}

.ivu-tooltip-inner p {
  margin-bottom: 0;
  line-height: 20px;
  font-size: 12px;
}

.ivu-tooltip-inner p img {
  margin-right: 5px;
  margin-top: -2px;
}

/* @media screen and (max-height: 789px) {
  .company-desc {
    margin-bottom: 0.7rem;
  }
} */
/* 平板样式 */
@media screen and (min-width: 760px) and (max-width: 1200px) and (min-height: 720px) {
  .right-wrapper {
    display: none;
  }

  .left-wrapper {
    width: 100%;
  }

  .flex-wrapper .left-wrapper {
    width: 100%;
  }

  .tmx-form .ivu-form-item-content .verify-code {
    width: 220px
  }
}

/* 手机样式 */
@media screen and (max-width: 896px) {
  .right-wrapper {
    display: none;
  }

  .left-wrapper {
    width: 100%;
  }

  .flex-wrapper .left-wrapper {
    width: 100%;
  }

  .tmx-form {
    width: 320px;
  }

  .mian-form {
    height: calc(100% - 32px);
  }

  .copy-content {
    font-size: 12px;
  }

  .protocol-content {
    text-align: center;
  }
}

/* iphone5样式 */
@media screen and (max-width: 374px) {
  .right-wrapper {
    display: none;
  }

  .left-wrapper {
    width: 100%;
  }

  .flex-wrapper .left-wrapper {
    width: 100%;
  }

  .tmx-form {
    width: 256px;
  }

  .mian-form {
    height: calc(100% - 32px);
  }

  .copy-content {
    font-size: 12px;
  }

  .protocol-content {
    text-align: center;
  }
}